<template>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-heading">Decalarative Rendering</div>

                    <div class="panel-body">
                        {{message}}
                        <br>
                        {{bukot}}
                        <br>
                        <span v-bind:title="message">
                              Hover your mouse over me for a few seconds
                                pto see my dynamically bound title!
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data(){
            return ({
                message: 'hellow Vue ' + new Date()
            })
        },
        props: {
            bukot: String
        },
        mounted() {
            console.log('Component mounted.');
            var _this = this;
            setInterval(function () {
                _this.message = 'hellow Vue ' + new Date();
            }, 1000)
        }
    }
</script>
